package com.bursie.harvester.logic;

import junit.framework.TestCase;
import com.bursie.harvester.logic.StopWords;

/**
 * Test class for StopWords
 */
public class TestStopWords extends TestCase {
    private String[] thingsToTry;
    private String[] expectedResults;
    private StopWords target;

    public void setUp() {

        thingsToTry = new String[]{"banankontakt", "mobile phone", "queen of England", "to", "of at in",
                "elvis is in the house", "in front", "last of", ""};

        expectedResults = new String[]{"banankontakt", "mobile phone", "queen England", "", "", "elvis house", "front", "last", ""};

        target = new StopWords();
    }

    public void testStopwords() {
        for (int i = 0; i < thingsToTry.length; i++) {
            String result = target.removeStopWords(thingsToTry[i]);
            assertEquals(expectedResults[i], result);
        }
    }
}
